dfkt.net
当前位置:首页 >> unity3D4.6.0要用哪个版本的ngui >>

unity3D4.6.0要用哪个版本的ngui

不要想着用那个版本的NGUI了,你先下一个Unity2017或者2018吧,用UGUI,不然等你学完出来工作也找不到。。。太老了你的版本

4.6.x引入UGUI,即新gui,4.5的话可以用NGUi插件或者其他一些ui插件

3.1版太低了,很多功能都欠缺。 我的3.5版只能对应2.0.3版本以下的,你的可能要1.几的版本吧,很难找了,要不unity升级到4.1.3,所有版本的NGUI都可以用了

NGUI仅仅是钻了Unity的空子,因为Unity对2D平面并没有过深开发,最近 官方爆料称unity正在开发2D界面系统,所以不远的将来 NGUI必定要 被淘汰 目前大部分还是用NGUI的,还有其他UI插件 个人认为 NGUI略微 好用

作为一个从事Unity开发5年,现在任职Unity讲师的老人,我建议你学习UGUI 理由如下: UGUI的整体思路在5.X后已经重新被定义,而整体定义的开发者是NGUI的作者,Unity公司邀请NGUI作者加入Unity后,重新只做了整套的UGUI。 从本质上来说,二者从很...

NGUI仅仅是钻了Unity的空子,因为Unity对2D平面并没有过深开发,最近 官方爆料称unity正在开发2D界面系统,所以不远的将来 NGUI必定要 被淘汰 目前大部分还是用NGUI的,还有其他UI插件 个人认为 NGUI不错,菜鸟在线竭诚为您服务!

自己的脚本不要放到Editor,plugins等特殊目录下,你的代码拿出来,放到Assets下,或者新建文件夹,放进去

NGUI版本的问题 可能是你用的Unity版本太新了,然后NGUI的版本又太老旧,所以就会出现报错和右键菜单失效的问题,我之前遇到的就是这种情况,换了个新版本的NGUI就好了

你这样实例化后,是在UIroot外面的,而NGUI的各部件是必须要在UIRoot里面的(子物体),于是,NGUI会自动把外面的你实例化后的物体移到UIRoot里面,这个过程会默认将位置至于原点000处。。。 正确做法是,实例化后,将实例化后的物体主动指定父...

现在开发都用UGUI了,4.6以上版本Unity自带的插件

网站首页 | 网站地图
All rights reserved Powered by www.dfkt.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com